using System.Collections.Generic;
using PersonalInformationService.Messages;
using PersonalInformationService.ServiceContracts;
using PersonalInformationService.DataTransferObjects;
using System;

namespace PersonalInformationService.ServiceImplementations
{
    public class SimplePersonalInformationService : IPersonalInformationService
    {
        public PersonalInformationResponse GetPersonalInformation(PersonalInformationRequest request)
        {
            Console.WriteLine("Received id:{0}", request.PersonId);
            PersonalInformationResponse response = new PersonalInformationResponse();
            response.Persons = new List<DataTransferObjects.PersonDto>();
            response.Persons.Add(new DataTransferObjects.PersonDto()
            {
                Id = request.PersonId,
                Name = "Maciej",
                Surname = "Grabek",
                Gender = GenderDto.Male
            });
            return response;
        }
    }
}